/* **********************************************
 * Duale Hochschule Baden-Württemberg Karlsruhe
 * Prof. Dr. Jörn Eisenbiegler
 * 
 * Vorlesung Übersetzerbau
 * Praxis AS-Scanner mit JFlex
 * - Token-Definition num
 * 
 * **********************************************
 */

package de.dhbw.compiler.jflexasscanner;

public class NumToken extends Token {

	private int value;

	public NumToken(String text, int line, int column, int value) {
		super(Token.NUM,text,line,column);
		this.value = value;
	}
	
	int getValue() {
		return value;
	}


}
